/*
 * Copyright 2013 Canonical Ltd.
 *
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 3.
 *
 * telephony-app is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

import QtQuick 2.0
import Ubuntu.Components 0.1
import Ubuntu.Components.ListItems 0.1
import Friends 0.1
import Dee 3.0

Item {
    id: header

    anchors.fill: parent

    Tabs {
        anchors.fill: parent
        ItemStyle.class: "new-tabs"
        Component.onCompleted: {
            //ItemStyle.style.swipeToSwitchTabs = false
        }


        Tab {
            title: "Time Line"
            page: TimeLine {
                id: timeline
                anchors {
                    fill: parent
                }
                stream: "messages"
            }
        }

        Tab {
            title: "Mentions"
            page: TimeLine {
                id: mentions
                anchors {
                    fill: parent
                }
                stream: "mentions"
            }
        }
        Tab {
            title: "Private"
            page: TimeLine {
                id: privateMessages
                anchors {
                    fill: parent
                }
                stream: "private"
            }
        }
    }

    DeeListModel {
        id: deeModel
        name: "com.canonical.Friends.Streams"
        onSynchronizedChanged: {
            console.log ("onSynchronizedChanged");
            timeline.deeModel = deeModel;
            mentions.deeModel = deeModel;
            privateMessages.deeModel = deeModel;
        }
    }
}
