/*
 * Copyright 2013 Canonical Ltd.
 *
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 3.
 *
 * telephony-app is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

import QtQuick 2.0
import Ubuntu.Components 0.1
import Ubuntu.Components.ListItems 0.1
//import Ubuntu.HUD 0.1 as HUD
import Friends 0.1
import Dee 3.0

MainView {
    id: main
    anchors.fill: parent

    Tabs {
        anchors.fill: parent
        ItemStyle.class: "new-tabs"

        Tab {
            title: "Time Line"
            autoHideTabBar: false
            page: TimeLine {
                id: timeline
                anchors {
                    fill: parent
                }
                stream: "messages"
                deeModel: _messagesModel
            }
        }

        Tab {
            title: "Mentions"
            autoHideTabBar: false
            page: TimeLine {
                id: mentions
                anchors {
                    fill: parent
                }
                stream: "mentions"
                deeModel: _mentionsModel
            }
        }
        Tab {
            title: "Private"
            autoHideTabBar: false
            page: TimeLine {
                id: privateMessages
                anchors {
                    fill: parent
                }
                stream: "private"
                deeModel: _privateModel
            }
        }
    }

    Post {
        id: post
        visible: false
    }

    /*
    HUD.HUD {
        applicationIdentifier: "gwibber-qml" // this must match the .desktop file!
        HUD.Context {
            toolbar.quitAction.onTriggered: Qt.quit()

            HUD.Action {
                label: i18n.tr("Compose")
                keywords: "New Post"
                onTriggered: post.visible = true
            }

            HUD.Action {
                label: i18n.tr("Top")
                keywords: "Jump to top"
                onTriggered: listView.positionViewAtEnd()
            }
        }
    }
    */
}
