/*
 * Copyright (C) 2013 Canonical, Ltd.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 3.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "streammodel.h"
#include "deelistmodel.h"
#include <dee-1.0/dee.h>

StreamModel::StreamModel(QObject *parent) :
    QObject(parent)
{
}

DeeModel* StreamModel::getThreadStreamModel(const QString &id, DeeModel* model)
{
    DeeFilter _key_filter;
    dee_filter_new_for_key_column (1, id.toUtf8().data(), &_key_filter);
    DeeModel* _m = dee_filter_model_new (model, &_key_filter);
    return _m;
}
